---
# This role configures host configuration (hostname, /etc/hosts etc)
- name: Define hostname
  become: yes
  hostname:
    name: "{{ hostname }}"
  notify:
    - restart network-manager

- name: Unlock /etc/hosts
  become: yes
  file:
    path: /etc/hosts
    attributes: -i

- name: Setup hosts
  become: yes
  template:
    src: files/hosts.j2
    dest: /etc/hosts
    owner: root
    group: root
    attributes: i # ensure not writable
    mode: u=rwx,g=rx,o=rx
...